Build errors after updating to NS 2.5.4


I updated NS to the current patch and suddenly I’m getting the error 30276 bus error tns build ios when ever I try to build. Below are the things I have tried in order to fix the issue, none of which worked. Anyone have an idea what’s going on?

  • Add/Remove platforms
  • Roll back to the last version of NS which worked (2.5.3)
  • Updated core modules
  • Completed deleted and reinstalled node.


The issue was caused by a “nativescript”:“2.5.4” parameter getting added to the dependencies in the package.json after updating. Removing this dependency fixed the issue.